package com.mortals.xhx.module.hik.face.model;

import com.mortals.framework.annotation.Excel;
import com.mortals.xhx.module.hik.face.model.vo.FaceGroupPersonVo;

/**
* 分组人脸信息实体对象
*
* @author zxfei
* @date 2023-04-15
*/

public class FaceGroupPersonEntity extends FaceGroupPersonVo {
    private static final long serialVersionUID = 1L;

    /**
    * 人脸分组
    */
    private Long faceGroupId;
    /**
    * 名称
    */
    @Excel(name = "名称")
    private String name;
    /**
    * 人脸唯一标识
    */
    @Excel(name = "人脸唯一标识")
    private String indexCode;



    public FaceGroupPersonEntity(){}
    /**
    * 获取 人脸分组
    * @return Long
    */
    public Long getFaceGroupId(){
        return faceGroupId;
    }
    /**
    * 设置 人脸分组
    * @param faceGroupId
    */
    public void setFaceGroupId(Long faceGroupId){
        this.faceGroupId = faceGroupId;
    }
    /**
    * 获取 名称
    * @return String
    */
    public String getName(){
        return name;
    }
    /**
    * 设置 名称
    * @param name
    */
    public void setName(String name){
        this.name = name;
    }
    /**
    * 获取 人脸唯一标识
    * @return String
    */
    public String getIndexCode(){
        return indexCode;
    }
    /**
    * 设置 人脸唯一标识
    * @param indexCode
    */
    public void setIndexCode(String indexCode){
        this.indexCode = indexCode;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof FaceGroupPersonEntity) {
            FaceGroupPersonEntity tmp = (FaceGroupPersonEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",faceGroupId:").append(getFaceGroupId());
        sb.append(",name:").append(getName());
        sb.append(",indexCode:").append(getIndexCode());
        return sb.toString();
    }

    public void initAttrValue(){

            this.faceGroupId = null;

            this.name = "";

            this.indexCode = "";
    }
}